Starting an MCP Session
The Dynamic Health Dyna MCP API POST /v1/content/search/mcp endpoint can retrieve tool information or execute a query for an MCP session. The session ID is passed as a header parameter. The Model Context Protocol enables AI assistants to query Dyna resources for medical information. A Post for tools will list all the tools available via Dyna MCP The Post can also be used to query Dyna. The REST endpoint is not intended for the developer to code to directly, but instead is intended to be used via MCP libraries which abstract away the REST details.
Basic Starting of an MCP Session
To Post an MCP session via JSON RPC:
Gather the following information for the request:
- An access token. Please see Use the Client Credentials Grant for further information.
- The mcp session ID in the mcp-session-id header parameter.
- The request body.
Request
POST https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/mcpRequest Body
The request body below is for a list of all tools request.
{
"jsonrpc": "2.0",
"id": "ou812",
"method": "tools/list"
}Response
The response below is for a list of all tools request.
{
"result": {
"tools": [
{
"name": "dyna_question_answer",
"description": "Get evidence-based answers to clinical questions using EBSCO Health medical databases",
"inputSchema": {
"type": "object",
"properties": {
"query": {
"type": "string",
"description": "Medical term, condition, treatment, or clinical question to search for"
},
"workflowId": {
"type": "string",
"enum": [
"DHCDS",
"DM",
"DMX"
],
"description": "Product database to search: DHCDS (DynamicHealth), DM (Dynamed), DMX (Dynamedex)"
}
},
"required": [
"query",
"workflowId"
],
"additionalProperties": false,
"$schema": "http://json-schema.org/draft-07/schema#"
}
}
]
},
"jsonrpc": "2.0",
"id": "ou812"
}Request Body
The request body below is for a Dyna query.
{
"jsonrpc": "2.0",
"id": "iou42",
"method": "tools/call",
"params": {
"name": "dyna_question_answer",
"arguments": {
"workflowId": "DMX",
"query": "covid adults"
}
}
}Response
The response below is for a Dyna query request. The Dyna response will be streamed and in multiple chunks. An interim chunk may look like the response below. The progress is a rough approximation of the percentage complete. The text is the response so far.
{
"method": "notifications/progress",
"params": {
"requestId": "iou42",
"progressToken": "iou42",
"progress": 21,
"partial": {
"content": [
{
"type": "text",
"text": "What is COVID-19 in adults? COVID-19 is an acute respiratory disease caused by SARS-CoV-2, a novel coronavirus closely related to SARS-CoV.1 In adults, symptoms may ra"
}
],
"metadata": {
"chunkNumber": 214,
"timestamp": 1750875091647,
"totalBytes": 268
}
}
},
"jsonrpc": "2.0"
}The final response for a query will look something like this (text response word wrapped for readability). The response is delimited.
<question>....</question><answer>....</answer><data>...</data>
The question is plain text. The answer is html. The data is JSON.
{
"result": {
"content": [
{
"type": "text",
"text": "<question>What is COVID-19 in adults?</question><answer> COVID-19 is an acute respiratory disease caused by SARS-CoV-2, a novel coronavirus closely
related to SARS-CoV.<sup data-type='references'><span data-ref-id='pj8krnms4d'>1</span></sup> In adults, symptoms may range from mild to severe and typically appear 2-14 days
after exposure.<sup data-type='references'><span data-ref-id='r9vcep56ng'>2</span></sup> <ul><li>Common symptoms include fever, cough, shortness of breath, fatigue, muscle or
body aches, headache, new loss of smell or taste, sore throat, congestion or runny nose, nausea or vomiting, diarrhea, and rash.<sup data-type='references'>
<span data-ref-id='r9vcep56ng'>2</span></sup></li><li>Severe cases may involve pneumonia, hypoxemia, acute respiratory distress syndrome (ARDS), sepsis, cardiomyopathy, arrhythmia,
and acute kidney injury.<sup data-type='references'><span data-ref-id='r9vcep56ng'>2</span></sup></li><li>Asymptomatic infection occurs in up to 30% of adults.
<sup data-type='references'><span data-ref-id='r9vcep56ng'>2</span></sup></li></ul></answer><data>
{"metadata":{"searchTimeInMs":14059,"userIntentTimeInMs":1675,"ragResponseTimeInMs":12200,"userIntentCategory":"DM_GENERAL_INFO",
"conversationId":"2025-06-25-816df3af-afde-4743-975c-ed9afc0d4f2e","messageId":"0"},"references":[{"title":"COVID-19","slugUrl":"/condition/covid-19-2",
"location":"GUID-F0612AA8-E380-4AF1-8C24-E0217326A8AA|GUID-5EDD59BC-2C0D-412E-8DAB-3F3D214D7406|DESCRIPTION","header":"Background Information|Description",
"id":"pj8krnms4d","an":"T1579903929505","pubType":{"pretty":"Condition","id":"condition","group":"articles"},"index":"1"},{"title":"COVID-19","slugUrl":"/condition/covid-19-2",
"location":"GUID-F0612AA8-E380-4AF1-8C24-E0217326A8AA|GUID-C851C3C1-5E99-495E-A831-3BF27FC59059","header":"Overview and Recommendations","id":"r9vcep56ng","an":"T1579903929505",
"pubType":{"pretty":"Condition","id":"condition","group":"articles"},"index":"2"}],"recommendedQuestions":["What are the severe complications of COVID-19 in adults?",
"What are the treatment options for COVID-19 in adults?","How does COVID-19 affect adults with comorbidities?"]}</data>"
}
],
"metadata": {
"timestamp": 1750875099839,
"streamingCallInfo": {
"isStreaming": true,
"chunkCount": 1026,
"totalBytes": 2166
}
}
},
"jsonrpc": "2.0",
"id": "iou42"
}Error Response Codes
The Dynamic Health Dyna MCP POST endpoint can return one of the error response codes.
Updated about 24 hours ago
